#include <stdio.h>
#include <stdlib.h>

/* Função que determina se dois números são primos entre si, ou seja, se não possuem nenhum divisor em comum. */
int primosEntreSi(int a, int b) {
	int div, primos;
	
	// Assume que são primos entre si.
	primos =  1;
	
	// Verifica os possíveis divisores, tentando provar que há um divisor em comum.
	div = 2;
	while (primos && (div < a / 2)) {
		if ((a % div == 0) && (b % div == 0)) primos = 0;
		div++;
	}
	
	// Retorna o resultado.
	return primos;
}

/* Função principal. */
main() {
	int *vetor, n, i;
	
	// Lê o número de elementos do vetor.
	printf("Informe o número de elementos do vetor: ");
	scanf("%d", &n);
	
	// Aloca memória para o vetor e lê os seus elementos.
	vetor = (int *)malloc(n * sizeof(int));
	printf("Informe os %d elementos (positivos, maiores que zero) do vetor: ", n);
	for (i = 0; i < n; i++) scanf("%d", &vetor[i]);
	
	// Verifica os números, dois a dois. Portanto, vai até o elemento n - 1 apenas, verificando com o próximo.
	for (i = 0; i < n - 1; i++) {
		// Verifica se um é divisível pelo outro.
		if (vetor[i] % vetor[i + 1] == 0) printf("- %d é divisível por %d;\n", vetor[i], vetor[i + 1]);
		else if (vetor[i + 1] % vetor[i] == 0) printf("- %d é divisível por %d;\n", vetor[i + 1], vetor[i]);
		
		// Caso não sejam divisíveis entre si, verifica se são primos entre si.
		else if (primosEntreSi(vetor[i], vetor[i + 1])) printf("- %d e %d são primos entre si;\n", vetor[i], vetor[i + 1]);
	}
}
